Debian Bug report logs - #595448
glob2: Crash during tutorial part 4 (src/Game.cpp Assertion `building' failed)

version graph

Package: glob2; Maintainer for glob2 is David Martínez Moreno <ender@debian.org>; Source for glob2 is src:glob2.

Reported by: Leandro Lucarella <luca@llucax.com.ar>

Date: Sat, 4 Sep 2010 00:45:02 UTC

Severity: grave

Tags: confirmed, patch, upstream

Found in version glob2/0.9.4.4-2

Fixed in version glob2/0.9.4.4-2.1

Done: Luca Falavigna <dktrkranz@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://savannah.nongnu.org/bugs/?27969

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#595448; Package glob2. (Sat, 04 Sep 2010 00:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Leandro Lucarella <luca@llucax.com.ar>:
New Bug report received and forwarded. Copy sent to David Martínez Moreno <ender@debian.org>. (Sat, 04 Sep 2010 00:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Leandro Lucarella <luca@llucax.com.ar>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: glob2: Crash during tutorial part 4 (src/Game.cpp Assertion `building' failed)
Date: Fri, 03 Sep 2010 21:40:43 -0300
Package: glob2
Version: 0.9.4.4-2+b1
Severity: grave
Justification: causes non-serious data loss


During the game, playing part 4 of the tutorial "Flags and Completion",
when attacking the enemy buildings I get this crash:

 glob2: src/Game.cpp:2201: void Game::drawMapGroundBuildings(int, int,
 int, int, int, int, int, int, int, Uint32, std::set<Building*,
 std::less<Building*>, std::allocator<Building*> >*): Assertion
 `building' failed.

Since the program is aborted and you can't save the game, unless you
were fortunate enough to save the game you loose the level and have to
start over again.

I guess is an upstream bug but I didn't add the tag since I didn't
really checked.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (100, 'unstable'), (50, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.35.2 (SMP w/4 CPU cores)
Locale: LANG=es_AR.UTF-8, LC_CTYPE=es_AR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages glob2 depends on:
ii  glob2-data           0.9.4.4-2           dataset for Globulation2 (glob2)
ii  libboost-thread1.42. 1.42.0-4            portable C++ multi-threading
ii  libc6                2.11.2-2            Embedded GNU C Library: Shared lib
ii  libfribidi0          0.19.2-1            Free Implementation of the Unicode
ii  libgcc1              1:4.5.1-3           GCC support library
ii  libgl1-mesa-glx [lib 7.7.1-4             A free implementation of the OpenG
ii  libglu1-mesa [libglu 7.7.1-4             The OpenGL utility library (GLU)
ii  libportaudio2        19+svn20071022-3+b1 Portable audio I/O - shared librar
ii  libsdl-image1.2      1.2.10-2+b1         image loading library for Simple D
ii  libsdl-net1.2        1.2.7-2             network library for Simple DirectM
ii  libsdl-ttf2.0-0      2.0.9-1             ttf library for Simple DirectMedia
ii  libsdl1.2debian      1.2.14-6            Simple DirectMedia Layer
ii  libspeex1            1.2~rc1-1           The Speex codec runtime library
ii  libstdc++6           4.5.1-3             The GNU Standard C++ Library v3
ii  libvorbisfile3       1.3.1-1             The Vorbis General Audio Compressi
ii  zlib1g               1:1.2.3.4.dfsg-3    compression library - runtime

glob2 recommends no packages.

glob2 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#595448; Package glob2. (Wed, 15 Sep 2010 10:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. (Wed, 15 Sep 2010 10:24:03 GMT) Full text and rfc822 format available.

Message #10 received at 595448@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Leandro Lucarella <luca@llucax.com.ar>, 595448@bugs.debian.org
Subject: Re: Bug#595448: glob2: Crash during tutorial part 4 (src/Game.cpp Assertion `building' failed)
Date: Wed, 15 Sep 2010 12:20:22 +0200
Hi!

On Fri, 2010-09-03 at 21:40:43 -0300, Leandro Lucarella wrote:
> Package: glob2
> Version: 0.9.4.4-2+b1
> Severity: grave
> Justification: causes non-serious data loss

I think this and the other segfault bugs should be at most serious,
but I'll let that to the maintainer.

In any way all these reports seem to indicate to me the game should
not be shipped in a stable release. It's also currently marked as beta
by upstream.

> During the game, playing part 4 of the tutorial "Flags and Completion",
> when attacking the enemy buildings I get this crash:
> 
>  glob2: src/Game.cpp:2201: void Game::drawMapGroundBuildings(int, int,
>  int, int, int, int, int, int, int, Uint32, std::set<Building*,
>  std::less<Building*>, std::allocator<Building*> >*): Assertion
>  `building' failed.
> 
> Since the program is aborted and you can't save the game, unless you
> were fortunate enough to save the game you loose the level and have to
> start over again.

I guess it might be too late, in case you've played again, but if you
still have around the autosave for that session in ~/.glob2, it would be
helpful for the upstream developers if you attached the entire directory
as a tar.gz archive, for them to be able to reproduce and diagnose the
problem.

regards,
guillem




Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#595448; Package glob2. (Wed, 15 Sep 2010 14:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justus Winter <4winter@informatik.uni-hamburg.de>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Wed, 15 Sep 2010 14:51:10 GMT) Full text and rfc822 format available.


Message #15 received at 595448@bugs.debian.org (full text, mbox):

From: Justus Winter <4winter@informatik.uni-hamburg.de>
To: 595448@bugs.debian.org
Date: Wed, 15 Sep 2010 16:37:05 +0200
[Message part 1 (text/plain, inline)]
forwarded http://savannah.nongnu.org/bugs/?27969
tags upstream confirmed
thanks

Hi :)

I can confirm that the bug is present in both the debian package and
upstream when building the mercurial head. I also found the bug at the
projects bugtracker (note that savannahs bugtracker interprets * as
markup which is somewhat since it modifies obscures the functions
signature...).

I'll try to look into this.

Cheers,
Justus
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#595448; Package glob2. (Fri, 17 Sep 2010 00:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justus Winter <4winter@informatik.uni-hamburg.de>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Fri, 17 Sep 2010 00:57:05 GMT) Full text and rfc822 format available.


Message #20 received at 595448@bugs.debian.org (full text, mbox):

From: Justus Winter <4winter@informatik.uni-hamburg.de>
To: 595448@bugs.debian.org
Date: Fri, 17 Sep 2010 02:54:08 +0200
forwarded 595448 http://savannah.nongnu.org/bugs/?27969
tags 595448 upstream confirmed
thanks

The assertion is only triggered when the opponents race track is
destroyed, one can also trigger it from within the editor by loading
the map and deleting the race track.

The problem lies within the tutorial data itself, Map::load loads a map
description into map->cases where the race track occupies an area of
size 6x6.

The building however is of type 15 (racetrack0c, racetrack level 0 in
construction). The size of the racetrack level 0 is 4x4. When the
building is destroyed, map->cases has to be updated. But since the
building is actually smaller than the 6x6 area that is marked as
occupied on the map, a 2 unit wide border is left referencing the
building.

When a map to building look up is performed on that shadow, the
assertion is triggered.

I fixed the map by setting the buildings type to 17 (racetrack1c,
racetrack level 1 in construction). You can find the corrected map at

http://cache.jade-hamburg.de/~teythoon/stuff/tutorial-part4.map

Cheers,
Justus




Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#595448; Package glob2. (Fri, 17 Sep 2010 01:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justus Winter <4winter@informatik.uni-hamburg.de>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. (Fri, 17 Sep 2010 01:21:03 GMT) Full text and rfc822 format available.

Message #25 received at 595448@bugs.debian.org (full text, mbox):

From: Justus Winter <4winter@informatik.uni-hamburg.de>
To: 595448@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: glob2: Crash during tutorial part 4 (src/Game.cpp Assertion `building' failed)
Date: Fri, 17 Sep 2010 03:19:12 +0200
forwarded http://savannah.nongnu.org/bugs/?27969
tags upstream confirmed
thanks

Uh, I didn't know that I have to cc the control@ address... and I
wanted to add, that you can actually *see* the bug when your warriors
are attacking the race track but they are not actually hitting the
building when you attack from the east or south. And silly me spends
some hours *reading* code...

Justus




Set Bug forwarded-to-address to 'http://savannah.nongnu.org/bugs/?27969'. Request was from Justus Winter <4winter@informatik.uni-hamburg.de> to control@bugs.debian.org. (Fri, 17 Sep 2010 01:33:04 GMT) Full text and rfc822 format available.

Added tag(s) upstream and confirmed. Request was from Justus Winter <4winter@informatik.uni-hamburg.de> to control@bugs.debian.org. (Fri, 17 Sep 2010 01:33:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#595448; Package glob2. (Fri, 17 Sep 2010 09:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justus Winter <4winter@informatik.uni-hamburg.de>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. (Fri, 17 Sep 2010 09:33:03 GMT) Full text and rfc822 format available.

Message #34 received at 595448@bugs.debian.org (full text, mbox):

From: Justus Winter <4winter@informatik.uni-hamburg.de>
To: 595448@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: glob2: Crash during tutorial part 4 (src/Game.cpp Assertion `building' failed)
Date: Fri, 17 Sep 2010 11:28:57 +0200
[Message part 1 (text/plain, inline)]
tags 595448 patch
thanks

To set the building type to 17 (racetrack level 1 under construction,
size 6x6) you can either do

echo -en '\x00\x00\x00\x11' | \
   dd of=tutorial-part4.map bs=1 seek=49210 conv=notrunc

or apply the attached patch using bspatch.

Cheers,
Justus
[tutorial-part4.map.bspatch (application/octet-stream, attachment)]

Added tag(s) patch. Request was from Justus Winter <4winter@informatik.uni-hamburg.de> to control@bugs.debian.org. (Fri, 17 Sep 2010 09:33:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#595448; Package glob2. (Mon, 27 Sep 2010 22:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Leandro Lucarella <luca@llucax.com.ar>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. (Mon, 27 Sep 2010 22:21:06 GMT) Full text and rfc822 format available.

Message #41 received at 595448@bugs.debian.org (full text, mbox):

From: Leandro Lucarella <luca@llucax.com.ar>
To: Guillem Jover <guillem@debian.org>
Cc: 595448@bugs.debian.org
Subject: Re: Bug#595448: glob2: Crash during tutorial part 4 (src/Game.cpp Assertion `building' failed)
Date: Mon, 27 Sep 2010 19:18:52 -0300
Guillem Jover, el 15 de septiembre a las 12:20 me escribiste:
> Hi!
> 
> On Fri, 2010-09-03 at 21:40:43 -0300, Leandro Lucarella wrote:
> > Package: glob2
> > Version: 0.9.4.4-2+b1
> > Severity: grave
> > Justification: causes non-serious data loss
> 
> I think this and the other segfault bugs should be at most serious,
> but I'll let that to the maintainer.
> 
> In any way all these reports seem to indicate to me the game should
> not be shipped in a stable release. It's also currently marked as beta
> by upstream.
> 
> > During the game, playing part 4 of the tutorial "Flags and Completion",
> > when attacking the enemy buildings I get this crash:
> > 
> >  glob2: src/Game.cpp:2201: void Game::drawMapGroundBuildings(int, int,
> >  int, int, int, int, int, int, int, Uint32, std::set<Building*,
> >  std::less<Building*>, std::allocator<Building*> >*): Assertion
> >  `building' failed.
> > 
> > Since the program is aborted and you can't save the game, unless you
> > were fortunate enough to save the game you loose the level and have to
> > start over again.
> 
> I guess it might be too late, in case you've played again, but if you
> still have around the autosave for that session in ~/.glob2, it would be
> helpful for the upstream developers if you attached the entire directory
> as a tar.gz archive, for them to be able to reproduce and diagnose the
> problem.

I have no auto-saved files in .glob2, but the bug is "reproducible", it
happened 2 times, about at the same moment (when attacking the enemies
facilities, after destroying their defenses).

-- 
Leandro Lucarella (AKA luca)                     http://llucax.com.ar/
----------------------------------------------------------------------
GPG Key: 5F5A8D05 (F8CD F9A7 BF00 5431 4145  104C 949E BFB6 5F5A 8D05)
----------------------------------------------------------------------
Esta desenchufada la internet de ese televisor?
	-- Osvaldo Lucarella




Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#595448; Package glob2. (Tue, 23 Aug 2011 22:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@debian.org>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. (Tue, 23 Aug 2011 22:51:03 GMT) Full text and rfc822 format available.

Message #46 received at 595448@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: 595448@bugs.debian.org
Subject: glob2: diff for NMU version 0.9.4.4-2.1
Date: Wed, 24 Aug 2011 00:49:38 +0200
[Message part 1 (text/plain, inline)]
tags 595448 + patch pending
thanks


Dear maintainer,

I've prepared an NMU for glob2 (versioned as 0.9.4.4-2.1) and
uploaded it to DELAYED/10. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
  .''`.
 :  :' :   Luca Falavigna <dktrkranz@debian.org>
 `.  `'
   `-
[glob2-0.9.4.4-2.1-nmu.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Added tag(s) pending. Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Tue, 23 Aug 2011 22:51:07 GMT) Full text and rfc822 format available.

Reply sent to Luca Falavigna <dktrkranz@debian.org>:
You have taken responsibility. (Fri, 02 Sep 2011 23:51:07 GMT) Full text and rfc822 format available.

Notification sent to Leandro Lucarella <luca@llucax.com.ar>:
Bug acknowledged by developer. (Fri, 02 Sep 2011 23:51:07 GMT) Full text and rfc822 format available.

Message #53 received at 595448-close@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: 595448-close@bugs.debian.org
Subject: Bug#595448: fixed in glob2 0.9.4.4-2.1
Date: Fri, 02 Sep 2011 23:48:06 +0000
Source: glob2
Source-Version: 0.9.4.4-2.1

We believe that the bug you reported is fixed in the latest version of
glob2, which is due to be installed in the Debian FTP archive:

glob2-data_0.9.4.4-2.1_all.deb
  to main/g/glob2/glob2-data_0.9.4.4-2.1_all.deb
glob2_0.9.4.4-2.1.diff.gz
  to main/g/glob2/glob2_0.9.4.4-2.1.diff.gz
glob2_0.9.4.4-2.1.dsc
  to main/g/glob2/glob2_0.9.4.4-2.1.dsc
glob2_0.9.4.4-2.1_amd64.deb
  to main/g/glob2/glob2_0.9.4.4-2.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 595448@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luca Falavigna <dktrkranz@debian.org> (supplier of updated glob2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 24 Aug 2011 00:29:16 +0200
Source: glob2
Binary: glob2 glob2-data
Architecture: source all amd64
Version: 0.9.4.4-2.1
Distribution: unstable
Urgency: low
Maintainer: David Martínez Moreno <ender@debian.org>
Changed-By: Luca Falavigna <dktrkranz@debian.org>
Description: 
 glob2      - innovative state-of-the-art Real Time Strategy (RTS) game
 glob2-data - dataset for Globulation2 (glob2)
Closes: 595448
Changes: 
 glob2 (0.9.4.4-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * debian/patches/tutorial-part4.map.uuencode:
     - Patch tutorial-part4.map to adjust size of the map in order to fix
       a runtime crash during the game (Closes: #595448).
   * debian/control:
     - Build-depend on bspatch and sharutils, bspatch and uudecode needed.
   * debian/rules:
     - UUdecode patch and apply to binary file.
Checksums-Sha1: 
 e85966dacfeb65005c819c7478e94875bcd514f7 1994 glob2_0.9.4.4-2.1.dsc
 ea29cf994e07729cfd1568e0b2f773206e830056 23612 glob2_0.9.4.4-2.1.diff.gz
 d0ad4383f7b0c0454d5346f81d3aa72f3c36b15a 10346688 glob2-data_0.9.4.4-2.1_all.deb
 5b392c3f1032458668a6cd97f09748faa0a9c2d8 1313994 glob2_0.9.4.4-2.1_amd64.deb
Checksums-Sha256: 
 2a7899608cd04af3aa9757bded34c678c76c324dae039ec4fc1f3213c0f37e63 1994 glob2_0.9.4.4-2.1.dsc
 09f645a0a50ad092f39327186a20c69c5b4bdc583f8b2355dda2ce197673f4a2 23612 glob2_0.9.4.4-2.1.diff.gz
 703a848bf0282d9d6a373e16d429c24b283b19519ae9595bd1c607c23a1d0915 10346688 glob2-data_0.9.4.4-2.1_all.deb
 7fa2824edab0a562abdc0e074d4977f2a8a5d2decf4abb83841a555e5b3d1e0d 1313994 glob2_0.9.4.4-2.1_amd64.deb
Files: 
 51b21faf65ba14653c759d71209b5b07 1994 games optional glob2_0.9.4.4-2.1.dsc
 c49c6009cdb17034e8d316201b99aa4e 23612 games optional glob2_0.9.4.4-2.1.diff.gz
 4969eae4221974eda0e5fa377dfe1043 10346688 games optional glob2-data_0.9.4.4-2.1_all.deb
 f76ca1e4a7886325f0e977c8118576c0 1313994 games optional glob2_0.9.4.4-2.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOVC5sAAoJEEkIatPr4vMfO+cQAIzTImOkExwgbXdibCDQ+8Uc
2KGfRZVykvLiKz+yoKVEgPXdu2nCGkIXvNJicztDT8hKUGXVtcOI+iRuoYhodVDm
5yaNIke09JZciUq/D/1s8uepaZVmxIXtwG/gwc8HTIviwCxvExOb9asMo19FCuoT
pHi74fXaxir3ACeB/A07I+Tiiux9y2h9gNWJ/Y4mUYprVUeJnjZL+GvvZhUbWHVe
3kEBZMJ7xrQyBnph93caM1BOmimBQLywkSvElFdBgXfUQ7vbaRH4oKPNIQ5FuVxc
EUPzeRkWQIBwIXt4kQSBTJVYZPHOytL73NTM3eg1OYDvNcn2Lgxniy7gYi5wmh5v
e2fdFhONv2KDJv2CsdDAyFqJzRxjj5GmwTEGOOyKQxVatcWFkxFsP33Ck0dIXMAh
ZgrXPzvaR0NhPYyKUp0bfrDseMpXmWREEyzxtIAeyX3rLl6Ful3SGMJEtUH4WF8P
xdNsDQ9pzTFRCEu5XkBybmcSeyEXRtMUYrxLfiq4APAS/kBKpReccu96jjqt6aqP
RnqO8wUtT9Js1TZvG1gZilyfEwNdCQOrvwaJ/HFXyzcDQB/S3J3XeeKtIsI5w0jB
uplWRaR6RAeKOvM98Tkc1MwrCBkxyeeSn3qFiQMqIcYunBPBawLKpR7Lq16ia5zr
NntF714t5y9Z0O2baEGk
=ZFcU
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 01 Oct 2011 07:36:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:39:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.